cURL
curl \
--request PUT \
--url "https://api.breeze.blue/v1/voices/voc_xeh3w54cqvnp/favorite" \
--header "xi-api-key: $BREEZE_API_KEY"{
"voice_id": "<string>",
"name": "<string>",
"origin": "<string>",
"voice_type": "<string>",
"settings": {
"guidance_scale": 1
},
"language_code": "ar",
"gender": "male",
"age": "child",
"tone": [
"warm"
],
"accent": "american",
"tags": [
"<string>"
],
"is_favorited": false,
"preview_url": "<string>",
"description": "<string>",
"created_at_unix": 123
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}Voices
Favorite a voice
Create or reactivate the authenticated account’s favorite relation.
PUT
/
v1
/
voices
/
{voice_id}
/
favorite
cURL
curl \
--request PUT \
--url "https://api.breeze.blue/v1/voices/voc_xeh3w54cqvnp/favorite" \
--header "xi-api-key: $BREEZE_API_KEY"{
"voice_id": "<string>",
"name": "<string>",
"origin": "<string>",
"voice_type": "<string>",
"settings": {
"guidance_scale": 1
},
"language_code": "ar",
"gender": "male",
"age": "child",
"tone": [
"warm"
],
"accent": "american",
"tags": [
"<string>"
],
"is_favorited": false,
"preview_url": "<string>",
"description": "<string>",
"created_at_unix": 123
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}Authorizations
Breeze Developer API key.
Path Parameters
Voice identifier returned by GET /v1/voices.
Response
Updated voice metadata.
Display name for the authenticated account. A saved public voice uses the personal alias set in Voice Library, when present.
Show child attributes
Show child attributes
Available options:
ar, cs, de, el, en, es, fi, fr, hi, id, it, ja, ko, nl, pl, pt, ro, ru, th, tr, uk, vi, zh Available options:
male, female, neutral Available options:
child, young, middle_aged, old Maximum array length:
3Available options:
warm, calm, bright, gentle, energetic, authoritative, sincere, weary, precise, refined, urgent, friendly, articulate, steady, playful, compassionate, reflective, measured, rhythmic, passionate Available options:
american, british, scottish, irish, australian, canadian, us_southern, us_new_york, indian, south_african, russian, japanese, korean, chinese, mandarin_guangdong, mandarin_northeastern, mandarin_shaanxi, mandarin_shanghai, mandarin_sichuan, mandarin_yunnan, mandarin_henan, cantonese Maximum array length:
20Maximum string length:
128
